D4Science Infrastructure - Task #7356

Please check HA Load Balancer on preprod
Mar 01, 2017 03:36 PM - Massimiliano Assante

Status: Closed Start date: Mar 01, 2017
Priority: Low Due date: Mar 31, 2017
Assignee: Andrea Dell'’Amico % Done: 100%
Category: Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

it seems that the HA Load Balancer on preprod is not load balancing well, preprod1 is always preferred to preprod?2.

When prepro1 is down it goes to preprod2

When both nodes are up always to preprod1 while the sessions that were on preprod2 are correctly maintained.

History

#1 - Dec 01,2017 12:07 AM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 100

| tried all the possible combinations, alternatively restarting nginx on the two nodes, and the requests are always balanced correctly. The behaviour is

easily verifiable using curl without a session id.

#2 - Dec 01,2017 12:08 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

#3 - Jan 04, 2018 04:05 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
